@import "libs/shared/assets/src/global-style/color";

:host {
    width: 100%;
}

.main-init-line {
    display: flex;
    justify-content: space-between;
    padding: 24px 18px;
    &__left {
        display: flex;
        align-items: center;
        &__pointer {
            cursor: pointer;
        }
        &__title {
            margin-left: 12px;
            margin-bottom: 0px;
        }
    }
}

.main-init-line-card {
    &__footer {
        padding-top: 2em;
        float: right;
    }
    &__button-primary {
        border-radius: 8px;
        display: flex;
        align-items: center;
        justify-content: center;
        font-size: 14px;
        width: 125px;
        height: 40px;
        background: $primary-button-color;
        margin-left: 16px;
    }

    &__button-cancel {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        width: 125px;
        height: 40px;
        background: #ffffff;
        border: 1px solid #e8eaf6;
        box-sizing: border-box;
        border-radius: 8px;
        margin: 0px 16px;
        color: rgba(20, 30, 210, 1);
    }

    &__left {
        ::ng-deep {
            .ant-input {
                border-radius: 8px !important;
                min-height: 40px;
            }
            .ant-form-item {
                margin: 0px;
            }
        }

        &__select {
            width: 100%;
            ::ng-deep {
                .ant-select-selector {
                    border-radius: 8px !important;
                    min-height: 40px;
                    display: flex;
                    align-items: center;
                }
                .ant-select-selection-search-input {
                    height: 100% !important;
                }
            }
        }
        &__label {
            font-style: normal;
            font-weight: 600;
            font-size: 14px;
            line-height: 20px;
            display: flex;
            align-items: center;
            color: #4e4b66;
        }
        &__require {
            color: red;
        }
        .ant-picker {
            width: 100%;
            border-radius: 10px !important;
            min-height: 40px;
        }
    }
    &__center {
        padding-left: 15px;
        .ant-input {
            border-radius: 10px !important;
            min-height: 40px;
        }
        &__label {
            font-style: normal;
            font-weight: 600;
            font-size: 14px;
            line-height: 20px;
            display: flex;
            align-items: center;
            color: #4e4b66;
        }
    }

    &__right {
        padding-left: 15px;
        .ant-picker {
            width: 100%;
            border-radius: 10px !important;
            min-height: 40px;
        }
        &__label {
            font-style: normal;
            font-weight: 600;
            font-size: 14px;
            line-height: 20px;
            display: flex;
            align-items: center;
            color: #4e4b66;
        }
        .ant-input {
            border-radius: 10px !important;
            min-height: 40px;
        }
    }
}

.main-init-line-card-row {
    margin-top: 16px;
}

.required {
    color: red;
    text-align: center;
    padding-left: 5px;
    margin-bottom: 0px !important;
}

.title-input {
    display: flex;
    align-items: center;
    padding-bottom: 8px;
    &--mul {
        display: flex;
        margin: 16px;
    }
}

.jd-table__plus {
    display: flex;
    justify-content: center;
    column-gap: 10px;
    align-items: center;
    &--button {
        display: flex;
        align-items: center;
        background: none;
        column-gap: 10px;
        color: $primary-button-color;
        font-style: normal;
        font-weight: 700;
        font-size: 14px;
        line-height: 140%;
    }
}

.jd-table__select {
    min-width: 50%;
    ::ng-deep {
        .ant-select-selector {
            border-radius: 8px !important;
            border: none;
            min-height: 40px;
            display: flex;
            align-items: center;
        }
        .ant-select-selection-search-input {
            height: 100% !important;
        }
    }
}
